curl --request GET \
--url https://api.withterminal.com/tsp/v1/trailers/locations \
--header 'Authorization: Bearer <token>' \
--header 'Connection-Token: <connection-token>'import requests
url = "https://api.withterminal.com/tsp/v1/trailers/locations"
headers = {
"Connection-Token": "<connection-token>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Connection-Token': '<connection-token>', Authorization: 'Bearer <token>'}
};
fetch('https://api.withterminal.com/tsp/v1/trailers/locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"provider": "geotab",
"trailer": "trl_01D8ZQFGHVJ858NBF2Q7DV9MNC",
"locatedAt": "2021-01-06T03:24:53.000Z",
"location": {
"longitude": -122.4194155,
"latitude": 37.7749295
},
"address": {
"formatted": "1.5 miles from Austin, TX"
},
"heading": 25,
"speed": 95.33,
"raw": []
}
],
"next": "cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw"
}{
"code": "bad_request",
"message": "Invalid request body",
"detail": [
{
"message": "'vehicleId' property must be a valid ulid",
"path": "{requestQuery}.vehicleId",
"suggestion": "Please ensure you submit a valid 'vehicleId' property",
"context": {}
}
]
}{
"code": "unauthorized",
"message": "Unauthorized Request",
"detail": "Please ensure you have a valid API key"
}{
"code": "forbidden",
"message": "Forbidden Request",
"detail": "Please ensure the connection token matches the resource you are attempting to access."
}{
"code": "connection_disconnected",
"message": "Connection must be connected to perform this action",
"detail": []
}{
"code": "too_many_requests",
"message": "Too Many Requests",
"retryAfter": 60,
"detail": "You have exceeded your rate limit. Please try again later."
}{
"code": "internal_server_error",
"message": "Internal Server Error",
"detail": "Something went wrong"
}{
"code": "not_implemented",
"message": "Not Implemented",
"detail": "This endpoint is not yet implemented"
}{
"code": "bad_gateway",
"message": "Provider Unavailable",
"detail": "Error response received from provider with status 500"
}{
"code": "gateway_timeout",
"message": "Gateway Timeout"
}Latest Trailer Locations
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Scopes the request to a Terminal application in the caller's organization. Required for multi-application organizations when using a user session or OAuth access token. API keys are already bound to a single application.
The token returned when a user authenticated their account. This authorizes access to a specific account.
^con_tkn_\S+$"con_tkn_22vUhkC6tgre4kwaYfUkCDA1rzn6eyb4"
Query Parameters
The maximum number of results to return in a page.
Pagination cursor to start requests from
"cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw"
Expand resources in the returned response
trailer Include raw responses used to normalize model. Used for debugging or accessing unique properties that are not unified.